summaryrefslogtreecommitdiff
path: root/tcwg_gnu-build.sh
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2020-04-17 14:53:39 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2020-04-22 10:55:19 +0000
commitcdd59df3e3f4bd1fb7155087222308e6bbc9b37c (patch)
treeb753eb63b14a259e88086d2ca4440dd0c010df63 /tcwg_gnu-build.sh
parentb9ecc76e09e95cd3132f1eef572279c1cec68218 (diff)
tcwg_gnu-build.sh: Don't overwrite existing GCC repo
Clone GCC repo in no_regression_p() only when GCC is NOT among the components we build. Otherwise we get GCC checkout switched to "master" branch from whatever it was before. This breaks bisection since "git bisect run" will use wrong value of GCC clone's HEAD in its "git bisect good/bad" operations. Change-Id: I5f736bcb046e955c55ed7c07c4a864098316a073
Diffstat (limited to 'tcwg_gnu-build.sh')
-rwxr-xr-xtcwg_gnu-build.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/tcwg_gnu-build.sh b/tcwg_gnu-build.sh
index 6a93948c..5447af6b 100755
--- a/tcwg_gnu-build.sh
+++ b/tcwg_gnu-build.sh
@@ -102,9 +102,11 @@ no_regression_p ()
fi
local res
- # We use GCC's comparison script, so make sure we have a copy (may
- # not be the case when we are just checking binutils)
- clone_or_update_repo gcc master git://gcc.gnu.org/git/gcc.git
+ if ! echo "${rr[components]}" | tr ' ' '\n' | grep -q "^gcc\$"; then
+ # We use GCC's comparison script, so make sure we have a copy (may
+ # not be the case when we are just checking binutils)
+ clone_or_update_repo gcc master git://gcc.gnu.org/git/gcc.git
+ fi
gcc/contrib/compare_tests $sumfiles_base $sumfiles_new \
| sed -e "s/^/# /" | tee $run_step_artifacts/results.regressions &
res=0 && wait $! || res=$?